using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 作业任务识别分析表子表识别人员(关联用户表)
    /// </summary>
    [Description("分析人员")]
    public class T_HM_OPERATION_TASK_DISTINGUISH_ANALYZE_USER : MesEntityBase
    {
        /// <summary>
        /// 作业任务识别分析表
        /// </summary>
        [Description("作业任务识别分析表")]
        [DataFieldForeignKey("Nav_DistinguishAnalyze", "Nav_Users")]
        public Guid OPERATION_TASK_DISTINGUISH_ANALYZE_ID { get; set; }

        /// <summary>
        /// 分析人员
        /// </summary>
        [Description("分析人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航：分析人员
        /// </summary>
        [Description("导航：分析人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 导航：作业任务识别表
        /// </summary>
        [Description("导航：作业任务分析表")]
        public virtual T_HM_OPERATION_TASK_DISTINGUISH_ANALYZE Nav_DistinguishAnalyze { get; set; }
        
        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

        [Description("第一顺序识别人")]
        public bool IS_FIRST { get; set; }
    }
}
